For the complete documentation index, see llms.txt. This page is also available as Markdown.

Public Endpoints

Get a public form by id

get
Query parameters
langstring · enumOptional

Language used to generate review responses

Possible values:
idstring · uuidRequired

Contact form ID to retrieve

Responses
200Success
application/json
idstringRequired
languagestring · enumRequired

Language used to generate review responses

Possible values:
enabledbooleanRequired
autoTranslatebooleanRequired
brandNamestringRequired

List of brand names associated with the contact form.

get/public/contact-form
GET /public/contact-form?id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.fullwhere.com
Accept: */*
200Success
{
  "id": "text",
  "language": "af",
  "enabled": true,
  "autoTranslate": true,
  "generalStyle": {
    "fieldRadius": "SHARP",
    "buttonRadius": "SHARP",
    "font": {
      "name": "text",
      "url": "text"
    },
    "titleColor": "text",
    "subtitleColor": "text",
    "groupColor": "text",
    "textColor": "text",
    "accentColor": "text",
    "dividerColor": "text",
    "backgroundColor": "text",
    "labelColor": "text",
    "placeholderColor": "text",
    "fieldBackgroundColor": "text",
    "fieldBorderColor": "text",
    "buttonTextColor": "text",
    "buttonBackgroundColor": "text",
    "buttonBorderColor": "text",
    "logoPosition": 1,
    "coverImagePosition": 1,
    "submissionImagePosition": 1,
    "fieldOptionColor": "text"
  },
  "header": {
    "title": "text",
    "subtitle": "text"
  },
  "body": {
    "buttonText": "text"
  },
  "footer": {
    "title": "text",
    "text": "text",
    "textColor": "text",
    "iconColor": "text",
    "backgroundColor": "text",
    "display": true,
    "displayLogo": true,
    "imagePosition": 1
  },
  "submission": {
    "title": "text",
    "subtitle": "text",
    "titleColor": "text",
    "subtitleColor": "text"
  },
  "externalLink": {
    "website": "text",
    "twitter": "text",
    "facebook": "text",
    "instagram": "text",
    "linkedin": "text"
  },
  "logo": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "footerLogo": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "cover": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "submissionImage": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "storeList": [
    {
      "id": "text",
      "name": "text",
      "color": "text"
    }
  ],
  "brandName": "text",
  "fields": [
    {
      "id": "text",
      "key": "text",
      "type": "TEXT",
      "required": true,
      "verticalIndex": 1,
      "horizontalIndex": 1,
      "allowMaxReplies": true,
      "allowMinReplies": true,
      "minReplies": 1,
      "maxReplies": 1,
      "values": [
        "text"
      ],
      "allowCustomValue": true,
      "operator": "$and",
      "label": "text",
      "placeholder": "text",
      "group": "text",
      "translatedValues": [
        "text"
      ],
      "dependencies": [
        {
          "id": "text",
          "field": "text",
          "dependsOnField": "text",
          "operator": "text",
          "dependsOnFieldValues": [
            {
              "operator": "$eq",
              "value": "text"
            }
          ]
        }
      ],
      "dependencyOf": [
        {
          "id": "text",
          "field": "text",
          "dependsOnField": "text",
          "operator": "text",
          "dependsOnFieldValues": [
            {
              "operator": "$eq",
              "value": "text"
            }
          ]
        }
      ]
    }
  ],
  "fieldGroups": [
    {
      "id": "text",
      "key": "text",
      "name": "text",
      "verticalIndex": 1
    }
  ],
  "fieldDependencies": [
    {
      "id": "text",
      "field": "text",
      "dependsOnField": "text",
      "operator": "text",
      "dependsOnFieldValues": [
        {
          "operator": "$eq",
          "value": "text"
        }
      ]
    }
  ]
}

Submit completed form

post
Body
storestring · uuidOptional

Store identifier to associate

idstring · uuidRequired

Target ID

Example: b6a3aa8c-3a3d-4094-9a7b-015b30d9098f
Responses
201Success

No content

post/public/contact-form/submit
POST /public/contact-form/submit HTTP/1.1
Host: api.fullwhere.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 193

{
  "store": "123e4567-e89b-12d3-a456-426614174000",
  "fields": [
    {
      "id": "b6a3aa8c-3a3d-4094-9a7b-015b30d9098f",
      "values": [
        "Great service",
        "Friendly staff"
      ]
    }
  ],
  "id": "b6a3aa8c-3a3d-4094-9a7b-015b30d9098f"
}
201Success

No content

Get public survey form data

get
Query parameters
trackerstring · uuidOptional

Optional survey tracker ID to associate

storestring · uuidOptional

Optional store ID to associate

brandstring · uuidOptional

Optional brand ID to associate

langstring · enumOptional

Language used to generate review responses

Possible values:
surveystring · uuidRequired

Survey ID to retrieve

Responses
200Success
application/json
idstringRequired
languagestring · enumRequired

Language used to generate review responses

Possible values:
enabledbooleanRequired
autoTranslatebooleanRequired
preRedirectbooleanRequired

@inheritdoc

externalUrlstring · nullableOptional

External url to redirect to on pre-redirect

sendModestring · enumOptional

Type of survey sending

Possible values:
orderstringOptional

External id of the purchase targeted by the survey This is used to identify the purchase in the external system

get/public/survey
GET /public/survey?survey=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.fullwhere.com
Accept: */*
200Success
{
  "id": "text",
  "language": "af",
  "enabled": true,
  "autoTranslate": true,
  "generalStyle": {
    "fieldRadius": "SHARP",
    "buttonRadius": "SHARP",
    "zoneColor": "text",
    "starBackgroundColor": "text",
    "starFilledBackgroundColor": "text",
    "starBorderColor": "text",
    "cardBorderColor": "text",
    "cardBackgroundColor": "text",
    "cardBorderRadius": "SHARP",
    "font": {
      "name": "text",
      "url": "text"
    },
    "titleColor": "text",
    "subtitleColor": "text",
    "groupColor": "text",
    "textColor": "text",
    "accentColor": "text",
    "dividerColor": "text",
    "backgroundColor": "text",
    "labelColor": "text",
    "placeholderColor": "text",
    "fieldBackgroundColor": "text",
    "fieldBorderColor": "text",
    "buttonTextColor": "text",
    "buttonBackgroundColor": "text",
    "buttonBorderColor": "text",
    "logoPosition": 1,
    "coverImagePosition": 1,
    "submissionImagePosition": 1,
    "fieldOptionColor": "text"
  },
  "header": {
    "title": "text",
    "subtitle": "text"
  },
  "body": {
    "buttonText": "text"
  },
  "footer": {
    "title": "text",
    "text": "text",
    "textColor": "text",
    "iconColor": "text",
    "backgroundColor": "text",
    "display": true,
    "displayLogo": true,
    "imagePosition": 1
  },
  "submission": {
    "title": "text",
    "subtitle": "text",
    "titleColor": "text",
    "subtitleColor": "text"
  },
  "externalLink": {
    "website": "text",
    "twitter": "text",
    "facebook": "text",
    "instagram": "text",
    "linkedin": "text"
  },
  "logo": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "footerLogo": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "cover": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "submissionImage": {
    "size": 1,
    "width": 1,
    "height": 1,
    "originalname": "text",
    "sourceUrl": "text",
    "externalId": "text",
    "key": "text",
    "contentType": "text",
    "url": "text"
  },
  "storeList": [
    {
      "id": "text",
      "name": "text",
      "color": "text"
    }
  ],
  "fields": [
    {
      "id": "text",
      "key": "text",
      "type": "NPS",
      "required": true,
      "verticalIndex": 1,
      "horizontalIndex": 1,
      "allowMaxReplies": true,
      "allowMinReplies": true,
      "minReplies": 1,
      "maxReplies": 1,
      "values": [
        "text"
      ],
      "allowCustomValue": true,
      "operator": "$and",
      "label": "text",
      "placeholder": "text",
      "group": "text",
      "translatedValues": [
        "text"
      ],
      "dependencies": [
        {
          "id": "text",
          "field": "text",
          "dependsOnField": "text",
          "operator": "text",
          "dependsOnFieldValues": [
            {
              "operator": "$eq",
              "value": "text"
            }
          ]
        }
      ],
      "dependencyOf": [
        {
          "id": "text",
          "field": "text",
          "dependsOnField": "text",
          "operator": "text",
          "dependsOnFieldValues": [
            {
              "operator": "$eq",
              "value": "text"
            }
          ]
        }
      ]
    }
  ],
  "fieldGroups": [
    {
      "id": "text",
      "key": "text",
      "name": "text",
      "verticalIndex": 1
    }
  ],
  "fieldDependencies": [
    {
      "id": "text",
      "field": "text",
      "dependsOnField": "text",
      "operator": "text",
      "dependsOnFieldValues": [
        {
          "operator": "$eq",
          "value": "text"
        }
      ]
    }
  ],
  "preRedirect": true,
  "preRedirectConfig": {
    "type": "NPS",
    "threshold": 1,
    "text": {
      "text": "text",
      "color": "text"
    },
    "button": {
      "text": "text",
      "color": "text",
      "backgroundColor": "text",
      "topic": {
        "text": "text",
        "color": "text"
      }
    },
    "nps": {
      "startText": "text",
      "endText": "text",
      "topic": {
        "text": "text",
        "color": "text"
      }
    },
    "csatStar": {
      "topic": {
        "text": "text",
        "color": "text"
      }
    },
    "csatSmiley": {
      "one": "text",
      "two": "text",
      "three": "text",
      "four": "text",
      "five": "text",
      "topic": {
        "text": "text",
        "color": "text"
      }
    },
    "binary": {
      "satisfied": "text",
      "unsatisfied": "text",
      "topic": {
        "text": "text",
        "color": "text"
      }
    }
  },
  "externalUrl": "text",
  "sendMode": "SMS",
  "store": {
    "id": "text",
    "name": "text",
    "color": "text"
  },
  "brand": {
    "id": "text",
    "name": "text",
    "color": "text"
  },
  "order": "text",
  "emailLogo": {
    "contentType": "text",
    "url": "text",
    "size": "text",
    "width": 1,
    "height": "text"
  },
  "emailCover": {
    "contentType": "text",
    "url": "text",
    "size": "text",
    "width": 1,
    "height": "text"
  }
}

Submit completed survey

post
Body
trackerstring · uuidOptional

Tracker identifier for private surveys

storestring · uuidOptional

Store identifier for public surveys

brandstring · uuidOptional

Brand identifier for public surveys

idstring · uuidRequired

Target ID

Example: b6a3aa8c-3a3d-4094-9a7b-015b30d9098f
Responses
201Success
application/json
redirectTostringOptional

Redirect link to a public review submission page

post/public/survey/submit
POST /public/survey/submit HTTP/1.1
Host: api.fullwhere.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 289

{
  "tracker": "123e4567-e89b-12d3-a456-426614174000",
  "store": "123e4567-e89b-12d3-a456-426614174000",
  "brand": "123e4567-e89b-12d3-a456-426614174000",
  "fields": [
    {
      "id": "b6a3aa8c-3a3d-4094-9a7b-015b30d9098f",
      "values": [
        "Great service",
        "Friendly staff"
      ]
    }
  ],
  "id": "b6a3aa8c-3a3d-4094-9a7b-015b30d9098f"
}
201Success
{
  "redirectTo": "text"
}

Last updated